Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76856 - testpage prints 0.75" too low on deskjet 920c
Summary: testpage prints 0.75" too low on deskjet 920c
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printer-config
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-28 10:34 UTC by P Fudd
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-10-28 10:55:33 UTC


Attachments (Terms of Use)

Description P Fudd 2002-10-28 10:34:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I've successfully used redhat-config-printer to set up my directly connected HP
deskjet 920c.  When I print the test page, it prints, but the top margin has an
extra 0.75" added to it.  I upgraded hpijs to  hpijs-1.2.2-22.i386.rpm, but the
problem remains.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RedHat 8.0
2.Install HP deskjet 920c (using redhat-config-printer)
3.Print test page (US letter postscript)
	

Actual Results:  The test page printed, but moved down 0.75" 

Expected Results:  Top margins should be 0.5" and 1.0", not 1.25" and 1.75".

Additional info:

Fresh install on a blank hard drive only three days ago.

Worked fine with RedHat 7.3

Comment 1 P Fudd 2002-10-28 10:55:25 UTC
As a further test, I did the following:
   gs -dNOPAUSE -sOutputFile=/tmp/test.ppm -sDEVICE=ppmraw -dBATCH
/usr/share/printconf/tests/testpage.ps
   lpr /tmp/test.ppm
and the page printed correctly!  Well, the top 0.5" margin was at 0.75", but
that's close enough, the top and bottom margins both show up and are vertically
centered.

So, what's up with that?

Comment 2 P Fudd 2002-11-05 01:36:01 UTC
I'm an idiot.

After much debugging and modifying shell scripts, I went into
redhat-config-printer-gui and changed the 'A4' to 'US Letter' and it fixed the
problem.... *blush*

Might want to make a note of that on the test page itself:  "If this page prints
0.5 inch too low, make sure your paper size is correct, US Letter and A4 paper
are different lengths."


Note You need to log in before you can comment on or make changes to this bug.